> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Google Location Verification Options

> This endpoint retrieves verification options for a specific Google location identified by `google_location_id`. It  requires authentication and authorization to access. The user must have at least the role of a `BUSINESS_MANAGER` to use this endpoint.

Note that the response can return an empty options list, this can mean two things:
   - There are really no verification options available for this location.
   - Video verification is possible but not implemented through the API. In this case, you should ask the user to manually verify.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /verifications/google-locations/{google_location_id}/options
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /verifications/google-locations/{google_location_id}/options:
    get:
      tags:
        - Google
      summary: Fetch Google Location Verification Options
      description: >
        This endpoint retrieves verification options for a specific Google
        location identified by `google_location_id`. It  requires authentication
        and authorization to access. The user must have at least the role of a
        `BUSINESS_MANAGER` to use this endpoint.


        Note that the response can return an empty options list, this can mean
        two things:
           - There are really no verification options available for this location.
           - Video verification is possible but not implemented through the API. In this case, you should ask the user to manually verify.
      operationId: fetchGoogleLocationVerificationOptions
      parameters:
        - $ref: '#/components/parameters/google_location_id'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  status:
                    description: >-
                      The status of the response `success`, `warning` or
                      `error`.
                    type: string
                    example: success
                  options:
                    description: List of available verification options returned.
                    type: array
                    items:
                      type: object
                      properties:
                        method:
                          type: string
                          description: >-
                            The method of verification, can be `PHONE_CALL`,
                            `SMS`, `EMAIL` or `ADDRESS`.
                          example: PHONE_CALL
                        phone_number:
                          type: string
                          description: >
                            *OPTIONAL* Depending on the status: 
                              - `AVAILABLE`: The phone number to which the code will be sent, either through an automated call or a text message.
                              - `PENDING`: The phone number where the code has been sent in case of `PENDING` status.
                            Note that this attribute is only returned for
                            `PHONE_CALL` and `SMS` methods.
                          example: '+33187662490'
                        email:
                          type: string
                          description: >
                            *OPTIONAL* The email address to which the code will
                            be or has been sent. Note that this attribute is
                            only returned for `EMAIL` method.
                          example: email.api@partoo.fr
                        full_name:
                          type: string
                          description: >
                            **OPTIONAL and only with `PENDING` status:** The
                            full name to which the postcard has been sent to.
                            Note that this attribute is only returned for
                            `ADDRESS` method.
                          example: John Doe
                        full_address:
                          type: string
                          description: >
                            *OPTIONAL* The full address to which the postcard
                            will be or has been sent to. Note that this
                            attribute is only returned for `ADDRESS` method.
                          example: 190 Rue Championnet, 75018 Paris
                        expected_delivery_days:
                          type: integer
                          description: >
                            *OPTIONAL* The expected of business days it will
                            take for the postcard to be delivered. Note that
                            this attribute is only returned for `ADDRESS`
                            method.
                          example: 2
                        status:
                          type: string
                          description: >-
                            The status of the verification option, can be
                            `PENDING` or `AVAILABLE`.
                          example: AVAILABLE
                  message:
                    type: string
                    description: >
                      *OPTIONAL* Details of the message. Can be one of the
                      following:
                        - `listing_verified`: The location is already verified (returned with a `success` status).
                        - `listing_in_review`: The location is already in review for verification (returned with a `warning` status).
                        - `listing_disabled`: The location is disabled (returned with a `error` status).
                        - `listing_suspended`: The location is suspended (returned with a `error` status).
                        - `listing_status_not_found`: The location is not found (returned with a `error` status).
                    example: null
                    enum:
                      - listing_verified
                      - listing_in_review
                      - listing_disabled
                      - listing_suspended
                      - listing_status_not_found
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    google_location_id:
      in: path
      name: google_location_id
      required: true
      schema:
        type: string
      description: Google location unique id on Partoo
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````